Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ext
Class GenerateKeyHandler

    java.lang.Object
      AbstractHandler
          org.eclipse.amp.amf.gen.ide.ResourceHandler
              org.eclipse.amp.amf.gen.ide.ResourceJobHandler
                  org.eclipse.amp.amf.gen.ext.GenerateKeyHandler

    public class GenerateKeyHandler

extends ResourceJobHandler

Field Summary
`protected java.lang.ClassLoader` | `delegateLoader`
`protected java.lang.ClassLoader` | `mainLoader`

Constructor Summary
`GenerateKeyHandler()`

Method Summary
`void` | `addSrcDir(IProject modelProject, java.lang.String path)`
`void` | `execute(IResource resource)` Override with desired execution behavior.

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceJobHandler
`executeHandler`

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceHandler
`execute, getMonitor, setMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainLoader

    protected java.lang.ClassLoader mainLoader

### delegateLoader

    protected java.lang.ClassLoader delegateLoader

Constructor Detail

### GenerateKeyHandler

    public GenerateKeyHandler()

Method Detail

### execute

    public void execute(IResource resource)
                 throws ExecutionException

  Description copied from class: `ResourceHandler`
  Override with desired execution behavior.

  Overrides:
    `execute` in class `ResourceHandler`
  Throws:
    `ExecutionException`

### addSrcDir

    public void addSrcDir(IProject modelProject,
                          java.lang.String path)
                   throws CoreException,
                          JavaModelException

  Throws:
    `CoreException`
    `JavaModelException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors